<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/withdrawal-edit.js");
</script>

<div class="card">

    <div class="card-block">

        <form th:action="${postUrl}" method="post" id="request-form">

            <div class="form-group row">
                <label class="col-md-3 col-form-label" th:text="#{dateCompleted}">Fecha Completada</label>
                <input type="date" class="form-control-sm" id="completed" name="completed" th:value="${#dates.format(#dates.createNow(), 'yyyy-MM-dd')}"/>
            </div>

            <div class="form-group row">
                <label class="col-md-3 col-form-label" th:text="#{payment_method}">Metodo de pago</label>
                <select name="processor" class="form-control-sm">
                    <option value="bacs"><span th:text="#{bank_transfer}">Transferencia Bancaria</span></option>
                    <option value="cash"><span th:text="#{effective}">Efectivo</span></option>
                    <option value="coms"><span th:text="#{commissionDiscount}">Descuento de comisiones</span></option>
                    <option value="other"><span th:text="#{otherMeansPayment}">Otros (indique medio en el campo comentario)</span></option>
                </select>
            </div>

            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="comment" th:text="#{amountPayable}">Monto a pagar</label>
                <input class="form-control-sm" th:value="${w.getMoneyPayableText()}"/>
            </div>

            <div class="form-group row">
                <label class="col-md-3 col-form-label" th:text="#{bankAccount} + ':'">Cuenta bancaria:</label>
                <span class="col-md-6">
                    <span th:text="#{bank}">Banco:</span>&nbsp;<strong th:text="${w.accountBank}"></strong><br/>
                    <span th:text="#{accountType}">Tipo de cuenta:</span>&nbsp;<strong th:if="${w.accountType != null}" th:text="#{${w.accountType}}"></strong><br/>
                    <span th:text="#{numberAccount}">Número de cuenta:</span>&nbsp;<strong th:text="${w.accountNumber}"></strong><br/>
                    <span th:text="#{IBAN}">IBAN:</span>&nbsp;<strong th:text="${w.accountIban}"></strong><br/>
                    <span th:text="#{BIC-Swift}">Código Swift:</span>&nbsp;<strong th:text="${w.accountSwift}"></strong><br/>
                    <span th:text="#{description}">Description:</span>&nbsp;<strong th:text="${w.accountDescription}"></strong><br/>
                </span>
            </div>

            <div class="form-group row">
                <label class="col-md-3 col-form-label" th:text="#{affiliateComment}">Comentario afiliado:</label>
                <span class="col-md-6" th:text="${w.requestDescription}"></span>
            </div>

            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="comment" th:text="#{comment}">Comentario</label>
                <div class="col-md-6">
                    <small th:text="#{visibleToAffiliate}">Visible para el afiliado</small>
                    <br/>
                    <textarea class="form-control-sm" id="comment" name="comment" rows="3"></textarea>
                </div>
            </div>

        </form>
    </div>

    <div id="alert_placeholder"></div>

    <hr/>
    <button class="btn btn-danger" data-dismiss="modal" th:text="#{btnCancel}">Cancelar</button>
    <button class="btn btn-success pull-right" id="save" th:text="#{btnSave}">Guardar</button>
</div>

